// CryptestDlg.h : header file
//

#if !defined(AFX_CRYPTESTDLG_H__FFA42749_5D33_4A8D_B16B_5D1A3DACFCF8__INCLUDED_)
#define AFX_CRYPTESTDLG_H__FFA42749_5D33_4A8D_B16B_5D1A3DACFCF8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCryptestDlg dialog

class CCryptestDlg : public CDialog
{
// Construction
public:
	CCryptestDlg(CWnd* pParent = NULL);	// standard constructor

	int m_nRSAType;
	int m_nDataType;

// Dialog Data
	//{{AFX_DATA(CCryptestDlg)
	enum { IDD = IDD_CRYPTEST_DIALOG };
	CEdit	m_edtSeed;
	CEdit	m_edtRSAEncrypted;
	CEdit	m_edtRSADecrypted;
	CEdit	m_edtPlainText;
	CEdit	m_edtPassPhrase;
	CEdit	m_edtMessage;
	CEdit	m_edtKeyLength;
	CEdit	m_edtDataEncrypted;
	CEdit	m_edtDataDecrypted;
	CString	m_csPublicKey;
	CString	m_csPrivateKey;
	UINT	m_unKeyLength;
	CString	m_csSeed;
	CString	m_csPassPhrase;
	CString	m_csPlainText;
	CString	m_csDataEncrypted;
	CString	m_csDataDecrypted;
	CString	m_csMessage;
	CString	m_csRSADecrypted;
	CString	m_csRSAEncrypted;
	CString	m_csMsgFile;
	CString	m_csSigFile;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCryptestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCryptestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFileStuff();
	afx_msg void OnRsaDoit();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnClose();
	afx_msg void OnExit();
	afx_msg void OnGenerate();
	afx_msg void OnRsaDecrypt();
	afx_msg void OnRsaEncrypt();
	afx_msg void OnSign();
	afx_msg void OnVerify();
	afx_msg void OnDataDoit();
	afx_msg void OnDataEncrypt();
	afx_msg void OnDataDecrypt();
	afx_msg void OnValidate();
	afx_msg void OnBenchMarks();
	afx_msg void OnTcpForwarding();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CRYPTESTDLG_H__FFA42749_5D33_4A8D_B16B_5D1A3DACFCF8__INCLUDED_)
