#if !defined(AFX_VALIDATION_H__7ECB4A37_82B5_44F8_9B1F_D2EFD1EF7A61__INCLUDED_)
#define AFX_VALIDATION_H__7ECB4A37_82B5_44F8_9B1F_D2EFD1EF7A61__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Validation.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CValidation dialog

class CValidation : public CDialog
{
// Construction
public:
	CValidation(CWnd* pParent = NULL);   // standard constructor

	void ValidateArray(BOOL bAdd, int nNum);

// Dialog Data
	//{{AFX_DATA(CValidation)
	enum { IDD = IDD_VALIDATE };
	CButton	m_chkXtrdh;
	CButton	m_chkXmacc;
	CButton	m_chkTwofish;
	CButton	m_chkTiger;
	CButton	m_chkTestSettings;
	CButton	m_chkTestOSRng;
	CButton	m_chkSquare;
	CButton	m_chkSkipjack;
	CButton	m_chkShark;
	CButton	m_chkSha2;
	CButton	m_chkSha;
	CButton	m_chkSerpent;
	CButton	m_chkSeal;
	CButton	m_chkSafer;
	CButton	m_chkRw;
	CButton	m_chkRsa;
	CButton	m_chkRipemd;
	CButton	m_chkRijndael;
	CButton	m_chkRc6;
	CButton	m_chkRc5;
	CButton	m_chkRc2;
	CButton	m_chkRabin;
	CButton	m_chkPanama;
	CButton	m_chkNr;
	CButton	m_chkMqv;
	CButton	m_chkMd5mac;
	CButton	m_chkMd5;
	CButton	m_chkMd2;
	CButton	m_chkMars;
	CButton	m_chkLucelg;
	CButton	m_chkLucdif;
	CButton	m_chkLuc;
	CButton	m_chkIdea;
	CButton	m_chkHmac;
	CButton	m_chkHaval;
	CButton	m_chkGost;
	CButton	m_chkEigamal;
	CButton	m_chkEcp;
	CButton	m_chkEcdsa;
	CButton	m_chkEc2n;
	CButton	m_chkDsa;
	CButton	m_chkDiamond2;
	CButton	m_chkDh;
	CButton	m_chkDes;
	CButton	m_chkCrc32;
	CButton	m_chkCipher;
	CButton	m_chkCast;
	CButton	m_chkBlumGoldwasser;
	CButton	m_chkBlowfish;
	CButton	m_chkBbs;
	CButton	m_chkArc4;
	CButton	m_chkAdler32;
	CButton	m_chk3Way;
	CListCtrl	m_lcValidate;
	//}}AFX_DATA

	BOOL m_bValidateAll;

	CDWordArray m_dwaValidate;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CValidation)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CValidation)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnClose();
	afx_msg void OnExit();
	afx_msg void OnValidateAll();
	afx_msg void OnValidatePick();
	afx_msg void On3way();
	afx_msg void OnAdler32();
	afx_msg void OnArc4();
	afx_msg void OnBbs();
	afx_msg void OnBlowfish();
	afx_msg void OnBlumGoldwasser();
	afx_msg void OnCast();
	afx_msg void OnCipher();
	afx_msg void OnCrc32();
	afx_msg void OnDes();
	afx_msg void OnDh();
	afx_msg void OnDiamond2();
	afx_msg void OnDsa();
	afx_msg void OnEc2n();
	afx_msg void OnEcdsa();
	afx_msg void OnEcp();
	afx_msg void OnEigamal();
	afx_msg void OnGost();
	afx_msg void OnHaval();
	afx_msg void OnHmac();
	afx_msg void OnIdea();
	afx_msg void OnLuc();
	afx_msg void OnLucdif();
	afx_msg void OnLucelg();
	afx_msg void OnMars();
	afx_msg void OnMd2();
	afx_msg void OnMd5();
	afx_msg void OnMd5mac();
	afx_msg void OnMqv();
	afx_msg void OnNr();
	afx_msg void OnPanama();
	afx_msg void OnRabin();
	afx_msg void OnRc2();
	afx_msg void OnRc5();
	afx_msg void OnRc6();
	afx_msg void OnRijndael();
	afx_msg void OnRipemd();
	afx_msg void OnRsa();
	afx_msg void OnRw();
	afx_msg void OnSafer();
	afx_msg void OnSeal();
	afx_msg void OnSerpent();
	afx_msg void OnSha();
	afx_msg void OnSha2();
	afx_msg void OnShark();
	afx_msg void OnSkipjack();
	afx_msg void OnSquare();
	afx_msg void OnTestOsRng();
	afx_msg void OnTestSettings();
	afx_msg void OnTiger();
	afx_msg void OnTwofish();
	afx_msg void OnXmacc();
	afx_msg void OnXtrdh();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VALIDATION_H__7ECB4A37_82B5_44F8_9B1F_D2EFD1EF7A61__INCLUDED_)
